DEFDBL B-E
PRINT
PRINT "To convert a two-column data file  (where 1st column = E/A)"
PRINT "dividing 2nd column by simple Bohr-type rel. equil. charge squared"
PRINT "(cf. Sigmund, Phys.Rev.36A(1997)3781), eqs. (6) and (33)"
PRINT
'Note: the relativistic calculation of beta (taken from L-conv2a.BAS)
'is correct down to EoverA=1E-7, if the projectile mass A1 is entered in u!
'Program originally called EFFCHARG.BAS, misleadingly

'INPUT "Enter (typical) mass number and element symbol of projectile (e.g.,16, O): "; A1$, Proj$
A1$ = "12": Proj$ = "C"
A1 = VAL(A1$)

OPEN "Projs.lst" FOR INPUT AS #5
DO WHILE NOT EOF(5)                        'Find Z1
        INPUT #5, Z1, ProjList$
        IF Proj$ = ProjList$ THEN EXIT DO
        IF Z1 = 93 THEN PRINT "No projectile name found"
LOOP
CLOSE

OPEN "Masses.lst" FOR INPUT AS #6    'Rest Energies of Projectiles in MeV
INPUT #6, Heading$
DO WHILE NOT EOF(6)
         INPUT #6, Z1L, A1L, E0         'To find E0
         IF Z1L <> Z1 THEN GOTO there:
         IF A1L <> A1 THEN GOTO there:  ELSE EXIT DO
there:  LOOP
CLOSE #6

INPUT "Enter element symbol of target (e.g., C, N2, etc.) : "; Targ$

'INPUT "Enter names of input and output files (e.g., *.u3, *.u4)"; InFile$, OutFile$
File$ = Proj$ + Targ$
InFile$ = File$ + ".u3"
OPEN InFile$ FOR INPUT AS #1
OutFile$ = File$ + ".u4"
OPEN OutFile$ FOR OUTPUT AS #2
alpha = 1 / 137.036

PRINT "     EoverA       "; Proj$ + Targ$
PRINT #2, "     EoverA       "; Proj$ + Targ$
INPUT #1, Heading$                          'Reject Heading
DO WHILE NOT EOF(1)
        INPUT #1, EoverA, S                 'E/A in MeV,S in MeV/(mg/cm2)
        E = E0 + EoverA * A1                'Double Precision!
        beta = SQR(1 - (E0 / E) ^ 2)        'relativistic
        VoverV0 = beta / alpha
        betaeff = 1 - EXP(-VoverV0 / Z1 ^ (2 / 3))
        S = S / betaeff ^ 2
        PRINT USING "###.#######  "; EoverA; S
        PRINT #2, USING "###.#######  "; EoverA; S
LOOP
END

