PRINT
PRINT "To convert the three-column data files *.cmb produced by COMBFILE.BAS"
PRINT "for one target and one projectile (one A1) (taking I from ICRU 49)"
PRINT "to be plotted similar to Sigmund's Fig.1 (Phys.Rev.36A(1997)3781)"
PRINT "but versus E/A, and adding log I to L "
PRINT

'INPUT "Enter A1 of projectile and its element symbol(e.g., 7, Li): "; A1$, Proj$
A1$ = "12": A1 = 12: Proj$ = "C": E0 = 11178
OPEN "Projs.lst" FOR INPUT AS #5
DO WHILE NOT EOF(5)
        INPUT #5, Z1, ProjList$
        IF Proj$ = ProjList$ THEN EXIT DO
        IF Z1 = 93 THEN PRINT "No projectile name found"
LOOP
CLOSE

INPUT "Enter element symbol of target (e.g., C, N2, etc.) and I (in eV) : "; Targ$, I
OPEN "Targets.lst" FOR INPUT AS #5
DO WHILE NOT EOF(5)
        INPUT #5, Z2, TargList$
        IF Targ$ = TargList$ THEN EXIT DO
        IF Z2 = 140 THEN PRINT "No target name found"
LOOP
CLOSE

OPEN "atdata.txt" FOR INPUT AS #5
LINE INPUT #5, heading$
LINE INPUT #5, heading$
DO WHILE NOT EOF(5)
        INPUT #5, Z, C1, C2, A2, C3, C4  'Find rel. at. mass of natural element
        IF Z = Z2 THEN EXIT DO
LOOP

FileName$ = A1$ + Proj$ + Targ$
InFile$ = FileName$ + ".cmb"
OutFile$ = FileName$ + ".L2p"
OPEN InFile$ FOR INPUT AS #1
OPEN OutFile$ FOR OUTPUT AS #2

DO WHILE NOT EOF(1)
        INPUT #1, EoverA, S, Letter$        'E/A in MeV,S in MeV/(mg/cm2)
'        VoverV0 = SQR(EoverA / .024802)     'V0^2/2 = 0.0248 MeV/u
'        Vred = VoverV0 / Z1
'       alpha = 1 / 137.036
'        beta = VoverV0 * alpha
        E = E0 + EoverA * A1
        beta = SQR(1 - (E0 / E) ^ 2)        'relativistic
        L = S * beta ^ 2 / (.000307075# * Z1 ^ 2 * Z2 / A2)  '.307075 MeVcm2/g, see Berger
        L = L + LOG(I)
'        Lred = L - LOG(4 * 13.606 * Z1 ^ 2 / I)  '2mV0^2 = 4*13.6 eV
        PRINT USING "###.######  "; EoverA; L
        PRINT #2, USING "###.######  "; EoverA; L
LOOP
END

